/**
 * An element which displays a link to a repository image.
 */
angular.module('quay').directive('imageLink', function () {
  var directiveDefinitionObject = {
    priority: 0,
    templateUrl: '/static/directives/image-link.html',
    replace: false,
    transclude: true,
    restrict: 'C',
    scope: {
      'repository': '=repository',
      'imageId': '=imageId'
    },
    controller: function($scope, $element) {
    }
  };
  return directiveDefinitionObject;
});